using System;
using System.Data;
using System.Collections;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Threading;

public partial class _Default : BasePage
{
    protected void Page_Load(object sender, EventArgs e)
    {
		this.lbLoginUser.Text = CurrentUser;
		Localize1.Text = String.Format("{0:c}", 883932);
    }
	protected void ddlCulture_SelectedIndexChanged(object sender, EventArgs e)
	{
		Session["PreferedCulture"] = this.ddlCulture.SelectedValue;
		this.SqlDataSource1.UpdateParameters["langId"].DefaultValue = GetLangId(this.ddlCulture.SelectedValue);
		this.SqlDataSource1.UpdateParameters["lastVisitTime"].DefaultValue = System.DateTime.Now.ToString();
		this.SqlDataSource1.UpdateParameters["userId"].DefaultValue = CurrentUserId;
		this.SqlDataSource1.Update();
		// Got new UICulture and going to InitializeCulture() in BasePage 
		Server.Transfer(Request.Url.LocalPath);
	}

	protected void Page_PreRender(object sender, EventArgs e)
    {
		InitSelectedCulture();
    }

	private void InitSelectedCulture()
	{
		if(!String.IsNullOrEmpty(CurrentCulture))
		{
			this.ddlCulture.SelectedValue = CurrentCulture;
		}
	}

	private string GetLangId(string culture)
	{
		this.SqlDataSource2.SelectParameters[0].DefaultValue = culture;
		IEnumerator enu = this.SqlDataSource2.Select(new DataSourceSelectArguments("LangId")).GetEnumerator();
		while(enu.MoveNext())
			return ((DataRowView)enu.Current).Row["LangId"].ToString();
		return String.Empty;
	}
}
