using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Login : BasePage
{
	protected void Page_PreRender(object sender, EventArgs e)
    {
		// select the dropdownlist value which has been set
		InitSelectedName();
    }

	private void InitSelectedName()
	{
		if(!String.IsNullOrEmpty(CurrentUserId))
		{
			this.ddlName.SelectedValue = CurrentUserId;
		}
	}

	protected void Page_Load(object sender, EventArgs e)
	{

	}
	protected void ddlName_SelectedIndexChanged(object sender, EventArgs e)
	{
		Session["UserId"] = this.ddlName.SelectedValue;
		Session["UserName"] = this.ddlName.SelectedItem.Text;
		IEnumerator enu = this.SqlDataSource1.Select(new DataSourceSelectArguments("Culture")).GetEnumerator();
		while(enu.MoveNext())
		{
			Session["PreferedCulture"] = ((DataRowView)enu.Current).Row["Culture"].ToString();
		}
		// Got new UICulture and going to InitializeCulture() in BasePage 
		Server.Transfer(Request.Url.LocalPath);
	}
}
